LibreOffice: cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 > Class Template Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

Classes | Public Member Functions | List of all members
cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 > Class Template Reference

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject). More...

`#include <implbase10.hxx>`

Inheritance diagram for cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
| Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface. More...
virtual void | acquire () SAL_OVERRIDE throw ()
| increasing m_refCount More...
virtual void | release () SAL_OVERRIDE throw ()
| decreasing m_refCount More...
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
Public Member Functions inherited from cppu::OWeakObject
| OWeakObject ()
| Default Constructor. More...
| OWeakObject (const OWeakObject &rObj)
| Dummy copy constructor. More...
OWeakObject & | operator= (const OWeakObject &)
| Dummy assignment operator. More...
virtual css::uno::Reference< css::uno::XAdapter > | queryAdapter () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
| XWeak::queryAdapter() implementation. More...
| operator css::uno::Reference< css::uno::XInterface > ()
| Cast operator to XInterface reference. More...

## Additional Inherited Members
Protected Member Functions inherited from cppu::OWeakObject
virtual | ~OWeakObject ()
| Virtual dtor. More...
void | disposeWeakConnectionPoint ()
| disposes and resets m_pWeakConnectionPoint More...
Protected Attributes inherited from cppu::OWeakObject
oslInterlockedCount | m_refCount
| reference count. More...

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6, class Ifc7, class Ifc8, class Ifc9, class Ifc10>
class cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >

Implementation helper implementing interfaces css::lang::XTypeProvider and css::uno::XInterface which supports weak mechanism to be held weakly (supporting css::uno::XWeak through cppu::OWeakObject).

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s).

## Member Function Documentation

## ◆ acquire()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 >

virtual void cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::acquire | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

increasing m_refCount

Reimplemented from cppu::OWeakObject.

## ◆ getImplementationId()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 >

virtual css::uno::Sequence< sal_Int8 > cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::getImplementationId | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

## ◆ getTypes()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 >

virtual css::uno::Sequence< css::uno::Type > cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::getTypes | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

## ◆ queryInterface()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 >

virtual css::uno::Any cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::queryInterface | ( | css::uno::Type const & | rType | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

Basic queryInterface() implementation supporting com::sun::star::uno::XWeak and com::sun::star::uno::XInterface.

Parameters

  rType | demanded type

Returns
  demanded type or empty any

Reimplemented from cppu::OWeakObject.

## ◆ release()

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 , class Ifc7 , class Ifc8 , class Ifc9 , class Ifc10 >

virtual void cppu::WeakImplHelper10< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6, Ifc7, Ifc8, Ifc9, Ifc10 >::release | ( |  | ) |
throw | ( |
| ) |  |
| inlinevirtual

decreasing m_refCount

Reimplemented from cppu::OWeakObject.

The documentation for this class was generated from the following file:

- cppuhelper/implbase10.hxx